Bug 494380 - ath5k never associates with an AP, unless first connected to wired eth0
ath5k never associates with an AP, unless first connected to wired eth0
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-06 12:39 EDT by Konstantin Ryabitsev
Modified: 2009-11-10 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-10 20:14:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg info (41.64 KB, text/plain)
2009-04-06 12:40 EDT, Konstantin Ryabitsev
no flags Details

  None (edit)
Description Konstantin Ryabitsev 2009-04-06 12:39:45 EDT
Yeah, so it's a weird one, and it's driving me nutters. I never seem to get connected to an AP running PSA2, unless I first connect to wired eth0 (or, potentially, unless I first get a kernel stack trace). I'm willing to provide any sort of data you may need to help troubleshoot this issue.

This is a Thinkpad x31 with an Atheros wireless chipset.

My dmesg is attached. Please help! :)
Comment 1 Konstantin Ryabitsev 2009-04-06 12:40:21 EDT
Created attachment 338357 [details]
dmesg info
Comment 2 Konstantin Ryabitsev 2009-04-06 12:55:59 EDT
And by PSA2 I mean WPA2 Personal, of course. Sorry.
Comment 3 Niels Haase 2009-04-10 15:37:11 EDT
Thanks for filling this bug.

Can you please provide the version of NM you use with

rpm -qa NetworkManager

and also /var/log/messages when you try to connect to your AP and need to activate the wired connection to do this. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2009-06-09 09:20:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Dan Williams 2009-11-10 20:14:38 EST
Please re-open if this still happens with latest Fedora 11 update kernels.  Latest should be 2.6.30.9-96.fc11.  Updated kernels have fixes for various ath5k and other wifi issues.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.